JH_GENERATEORBITDIR(1)

NAME
jh_generateorbitdir - Creates and populates an orbit dir used by pde-build for third-party jar files.

SYNOPSIS
jh_generateorbitdir [debhelper options] [--orbit-dir=dir] [orbit-dep [...]]

DESCRIPTION
jh_generateorbitdir is a javahelper program that handles creation of an orbit dependency dir. This directory has to be populated with non-eclipse jar files. However, eclipse refers to these jars by their "symbolic name". jh_generateorbitdir can extract this name from the jar's manifest (provided it has the OSGi metadata) and create a symlink to it.

jh_generateorbitdir will replace regular files with symlinks if they are present in the orbit dir and clash with the name of one of the orbit jars. If an orbit jar name clashes with a symlink in the orbit dir, then jh_generateorbitdir will assume that the given jar has already been symlinked correctly. In this case the jar file is still recorded in the cache (see below).

jh_generateorbitdir will also check the default installation for jar files on Debian systems (at the time of writing /usr/share/java), if it cannot find the jar in the current dir.

Jar files replaced by jh_generateorbitdir will be recorded so that jh_installeclipse can replace with symlinks them post install.

FILES

debian/eclipse.orbitdeps
    List of orbit dependencies - one per line. This can be used as an alternative to passing it per command line.

OPTIONS

--orbit-dir=dir
    Specifies the directory from where the orbit-dir is or should be created. Defaults to "debian/.eclipse_build/orbitdeps".

EXAMPLE
  jh_generateorbitdir --orbit-dir orbit asm3 oro

Will generate a folder called orbit with two symlinks based on asm3 and oro's symbolic name.

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>

COPYRIGHT AND LICENSE
Copyright 2010 by Niels Thykier

This tool is free software; you may redistribute it and/or modify it under the terms of GNU GPL 2.